using System;
using System.Collections.Generic;
using System.Linq;
using System.Numerics;

namespace ConsoleApp1
{
    class Program
    {
        static long ProizvodCifara(long broj)
        {
            long proizvod = 1;
            while (broj > 0)
            {
                proizvod *= broj % 10;
                broj /= 10;
            }
            return proizvod;
        }
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            while (t-- > 0)
            {
                long n = long.Parse(Console.ReadLine());
                long suma = 0;
                HashSet<long> proizvodi = new HashSet<long>();
                for(long i = 1; i<=n; i++)
                {
                    proizvodi.Add(ProizvodCifara(i));
                }
                Console.WriteLine(proizvodi.Count);
            }

        }
    }
}